taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.WttrIn

Description

This is a simple weather widget that polls wttr.in to retrieve the weather, instead of relying on noaa data.

Useful if NOAA data doesn't cover your needs, or if you just like wttr.in better.

For more information on how to use wttr.in, see https://wttr.in/:help.

Synopsis

- textWttrNew :: MonadIO m => String -> Double -> m Widget

# Documentation

textWttrNew Source #

Arguments

:: MonadIO m |
=> String | URL. All non-alphanumeric characters must be properly %-encoded.
-> Double | Update Interval (in seconds)
-> m Widget |

Creates a GTK Label widget that polls the requested wttr.in url for weather information.

Not compatible with image endpoints and binary data, such as the %.png% endpoints.

    -- Yields a label with the text "London: ⛅️  +72°F". Updates every 60
    -- seconds.
    textWttrNew "http://wttr.in/London?format=3" 60